<div class="widget has-shadow" style="margin: 20px 20px 20px 20px">
    <div class="widget-header bordered no-actions d-flex align-items-center">
        <h4>Les citoyens</h4>
        <div>
            <div style="float: right">
                <button data-toggle="modal" data-target="#addModal" (click)="removeBackdrop()">Ajouter un
                    citoyen</button>
                <div class="modal fade" id="addModal">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title" id="exampleModalLabel">Ajouter un
                                    citoyen</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                <form [formGroup]="userAdd">
                                    <div class="form-group row d-flex align-items-center mb-5">
                                        <label class="col-lg-3 form-control-label d-flex">Nom</label>
                                        <div class="col-lg-8">
                                            <input type="text" class="form-control" formControlName="nom">
                                        </div>
                                    </div>
                                    <div class="form-group row d-flex align-items-center mb-5">
                                        <label class="col-lg-3 form-control-label d-flex">Prénom</label>
                                        <div class="col-lg-8">
                                            <input type="text" class="form-control" formControlName="prenom">
                                        </div>
                                    </div>
                                    <div class="form-group row d-flex align-items-center mb-5">
                                        <label class="col-lg-3 form-control-label d-flex">Login</label>
                                        <div class="col-lg-8">
                                            <input type="text" class="form-control" formControlName="login">
                                        </div>
                                    </div>
                                    <div class="form-group row d-flex align-items-center mb-5">
                                        <label class="col-lg-3 form-control-label d-flex">Mot de passe</label>
                                        <div class="col-lg-8">
                                            <input type="password" class="form-control" formControlName="mot_de_passe">
                                        </div>
                                    </div>
                                    <!-- <div class="form-group row d-flex align-items-center mb-5">
                                        <label class="col-lg-3 form-control-label d-flex">Type</label>
                                        <div class="col-lg-8">
                                            <input type="text" class="form-control" formControlName="type">
                                        </div>
                                    </div> -->
                                    <div class="form-group row d-flex align-items-center mb-5">
                                        <label class="col-lg-3 form-control-label d-flex">Email</label>
                                        <div class="col-lg-8">
                                            <input type="text" class="form-control" formControlName="email">
                                        </div>
                                    </div>
                                    <!-- <div class="form-group row d-flex align-items-center mb-5">
                                        <label class="col-lg-3 form-control-label d-flex">Ville</label>
                                        <div class="col-lg-8">
                                            <input type="text" class="form-control" formControlName="ville">
                                        </div>
                                    </div> -->
                                </form>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                <button type="button" class="btn btn-primary" (click)="createUser()">Save
                                    changes</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="widget-options">
            <div id="printOption" class="dropdown">
            </div>
        </div>
    </div>
    <div class="widget-body">
        <div class="table-responsive">
            <table id="sorting-table" class="table mb-0 table-hover">
                <thead>
                    <tr>
                        <th>Nom</th>
                        <th>Prénom</th>
                        <th>Type</th>
                        <th>Email</th>
                        <!-- <th>Ville</th> -->
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let user of users; let i = index">
                        <td>{{ user.nom }}</td>
                        <td>{{ user.prenom }}</td>
                        <td>{{ user.Type }}</td>
                        <td>{{ user.email }}</td>
                        <!-- <td>{{ user.ville }}</td> -->
                        <td class="td-actions widget-options">
                            <a data-toggle="modal" [attr.data-target]="'#editModal' + i" (click)="removeBackdrop()"><i
                                    class="la la-file-text edit" (click)="patchValues(user._id)"></i></a>
                            <div class="modal fade" [attr.id]="'editModal' + i">
                                <div class="modal-dialog" role="document">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                <span aria-hidden="true">&times;</span>
                                            </button>
                                        </div>
                                        <div class="modal-body">
                                            <form [formGroup]="userEdit">
                                                <div class="form-group row d-flex align-items-center mb-5">
                                                    <label class="col-lg-3 form-control-label d-flex">Nom</label>
                                                    <div class="col-lg-8">
                                                        <input type="text" class="form-control" formControlName="nom">
                                                    </div>
                                                </div>
                                                <div class="form-group row d-flex align-items-center mb-5">
                                                    <label class="col-lg-3 form-control-label d-flex">Prénom</label>
                                                    <div class="col-lg-8">
                                                        <input type="text" class="form-control"
                                                            formControlName="prenom">
                                                    </div>
                                                </div>
                                                <!-- <div class="form-group row d-flex align-items-center mb-5">
                                                    <label class="col-lg-3 form-control-label d-flex">Type</label>
                                                    <div class="col-lg-8">
                                                        <input type="text" class="form-control" formControlName="type">
                                                    </div>
                                                </div> -->
                                                <div class="form-group row d-flex align-items-center mb-5">
                                                    <label class="col-lg-3 form-control-label d-flex">Email</label>
                                                    <div class="col-lg-8">
                                                        <input type="text" class="form-control" formControlName="email">
                                                    </div>
                                                </div>
                                                <!-- <div class="form-group row d-flex align-items-center mb-5">
                                                    <label class="col-lg-3 form-control-label d-flex">Ville</label>
                                                    <div class="col-lg-8">
                                                        <input type="text" class="form-control" formControlName="ville">
                                                    </div>
                                                </div> -->
                                            </form>
                                        </div>
                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-secondary"
                                                data-dismiss="modal">Close</button>
                                            <button type="button" class="btn btn-primary"
                                                (click)="update(user._id)">Save changes</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <a (click)="remove(user._id)"><i class="la la-ban delete"></i></a>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>